<div mat-dialog-content>
  <p>What's role wiil you choose?</p>
  <mat-radio-group>
        <mat-radio-button value="1">Candidate</mat-radio-button>
        <mat-radio-button value="2">Interview</mat-radio-button>
      </mat-radio-group>
  <mat-form-field>
    <input matInput [(ngModel)]="data.role">
  </mat-form-field>
</div>
<div mat-dialog-actions>
  <button mat-button (click)="onNoClick()">No Thanks</button>
  <button mat-button [mat-dialog-close]="data.role" cdkFocusInitial>Connect</button>
</div>